Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class AbstractSelectiveRouterFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AbstractSelectiveRouterFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean

Direct Known Subclasses:
  ChoiceRouterFactoryBean

    public abstract class AbstractSelectiveRouterFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean

Constructor Summary
`AbstractSelectiveRouterFactoryBean()`

Method Summary
`Object` | `getObject()`
`boolean` | `isSingleton()`
`protected abstract AbstractSelectiveRouter` | `newAbstractSelectiveRouter()`
`void` | `setDefaultRoute(MessageProcessorFilterPair conditionalProcessor)`
`void` | `setRoutes(Collection<MessageProcessorFilterPair> conditionalMessageProcessors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.FactoryBean
`getObjectType`

Constructor Detail

### AbstractSelectiveRouterFactoryBean

    public AbstractSelectiveRouterFactoryBean()

Method Detail

### setDefaultRoute

    public void setDefaultRoute(MessageProcessorFilterPair conditionalProcessor)

### setRoutes

    public void setRoutes(Collection<MessageProcessorFilterPair> conditionalMessageProcessors)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### newAbstractSelectiveRouter

    protected abstract AbstractSelectiveRouter newAbstractSelectiveRouter()

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.